The "List Inventory API allows the user to retrieve a paginated list of inventory items. Use this endpoint to fetch details for multiple items in the inventory based on the provided query parameters.

http
GET https://services.leadconnectorhq.com/products/inventory

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Query parameters

NameTypeRequiredExampleDescription
limitnumberNo20The maximum number of items to be included in a single page of results
offsetnumberNo0The starting index of the page, indicating the position from which the results should be retrieved.
altIdstringYes6578278e879ad2646715ba9cAccount Id or Agency Id
altTypestringYes
searchstringNoProduct NameSearch string for Variant Search

Responses

200 - Successful response
  • inventory (object[], required): List of inventory items

    • _id (string, required): The unique identifier for the price Example: 6241712be68f7a98102ba272

    • name (string, required): Name of the price/variant Example: Medium T-shirt

    • availableQuantity (number, required): Available quantity in inventory Example: 50

    • sku (string, required): SKU for the product variant Example: TSHIRT-MED-001

    • allowOutOfStockPurchases (boolean, required): Whether out of stock purchases are allowed Example: False

    • product (string, required): Product ID this price belongs to Example: 6241712be68f7a98102ba270

    • updatedAt (string, required): Last update timestamp Example: 2023-12-12T09:27:42.355Z

    • image (string): Product image URL Example: https://example.com/images/product.jpg

    • productName (string): Product name Example: T-shirt

  • total (object, required): Total count of inventory items

json
{
  "inventory": [
    {
      "_id": "6241712be68f7a98102ba272",
      "name": "Medium T-shirt",
      "availableQuantity": 50,
      "sku": "TSHIRT-MED-001",
      "allowOutOfStockPurchases": false,
      "product": "6241712be68f7a98102ba270",
      "updatedAt": "2023-12-12T09:27:42.355Z",
      "image": "https://example.com/images/product.jpg",
      "productName": "T-shirt"
    }
  ],
  "total": {
    "total": 100
  }
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X GET 'https://services.leadconnectorhq.com/products/inventory' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'

Last updated October 26, 2026

Was this page helpful?